Create deployment
curl --request POST \
--url https://api.getcargo.io/v1/hosting/deployments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"kind": "<string>",
"appUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"files": [
{
"path": "<string>",
"content": "<string>"
}
]
}
'import requests
url = "https://api.getcargo.io/v1/hosting/deployments"
payload = {
"kind": "<string>",
"appUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"files": [
{
"path": "<string>",
"content": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
kind: '<string>',
appUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
files: [{path: '<string>', content: '<string>'}]
})
};
fetch('https://api.getcargo.io/v1/hosting/deployments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspaceUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceS3Path": "<string>",
"bundleS3Path": "<string>",
"buildLogS3Filename": "<string>",
"errorMessage": "<string>",
"url": "<string>",
"userUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"promotedAt": "<string>",
"promotedByUserUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"finishedAt": "<string>",
"temporalWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "<string>",
"updatedAt": "<string>",
"kind": "<string>",
"appUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"meta": {}
}
}Hosting - Deployments
Create deployment
Create a new deployment for an app or worker
POST
/
hosting
/
deployments
Create deployment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Request body
- Request body
Request body schema.
Discriminator for an app-backed deployment.
Allowed value:
"app"Identifier of the app to deploy.
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Inline source files for the deployment.
Show child attributes
Show child attributes
Response
Successful response
Created deployment details.
- Deployment
- Deployment
Show child attributes
Show child attributes
Was this page helpful?
⌘I

